Tycho RFQ
Get Aqua0 liquidity for one pool
Returns indicative Aqua0 liquidity levels for one pool at the sample sizes you pass, valid for 10 seconds.
Query Parameters
chainId*integer
An execution chain from GET /api/tycho/rfq/chains, for example 8453 for Base.
poolId*string
The Uniswap V4 pool id, as 32-byte hex, from GET /api/tycho/rfq/markets.
classId*string
The strategy id from GET /api/tycho/rfq/markets, as a decimal string.
amount0Samples*string
Comma-separated token0 input amounts to price selling token0, in its smallest unit. At most eight.
amount1Samples*string
Comma-separated token1 input amounts to price selling token1, in its smallest unit. At most eight.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/tycho/rfq/state?chainId=1&poolId=string&classId=string&amount0Samples=string&amount1Samples=string"{ "schemaVersion": "aqua0-rfq-state-v1", "componentId": "0x5709d9536a3f7cc3c39103a67920d0a68fcc5dc7c5f9f640fd8209c96dc3f44d", "protocolSystem": "rfq:aqua0", "protocolTypeName": "aqua0_jit_pool", "chainId": 8453, "poolId": "0x5622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e8639", "classId": "38960560214548620419581884607967218229413556116830054641371650059665611327033", "poolManager": "0x498581fF718922c3f8e6A244956aF099B2652b2b", "tokens": [ "0x4200000000000000000000000000000000000006", "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913" ], "fee": 3000, "tickSpacing": 60, "hooks": "0x5Aef2c787AFC743D20FD632D66391B2ccd5c68C0", "directions": { "zeroForOne": [ { "requestedAmountIn": "10000000000000000", "amountIn": "10000000000000000", "amountOut": "24919796", "fullySupported": true, "currentTick": -198082, "sqrtPriceX96": "3960994633772755407296098", "ranges": [ { "tickLower": -199140, "tickUpper": -197100, "liquidity": "1093427319265" } ], "routePlan": { "routeType": "same_chain", "swapDirection": "zeroForOne", "requestedAmount0": "10000000000000000", "requestedAmount1": "0", "totalCapital0": "16719015731379870", "totalCapital1": "48211758", "sameChainCapital0": "16719015731379870", "sameChainCapital1": "48211758", "crossChainCapital0": "0", "crossChainCapital1": "0", "ranges": [ { "tickLower": -199140, "tickUpper": -197100, "liquidity": "1093427319265", "lp": "0x1111111111111111111111111111111111111111", "position": 0 } ], "executorContributions": [], "backingContributions": [ { "lp": "0x1111111111111111111111111111111111111111", "sourceChainId": 8453, "token": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "amount": "24919796" } ], "routeLegs": [], "deltaExposures": [], "repaymentObligations": [], "diagnostics": [] } } ], "oneForZero": [ { "requestedAmountIn": "25000000", "amountIn": "25000000", "amountOut": "9972081663927454", "fullySupported": true, "currentTick": -198082, "sqrtPriceX96": "3960994633772755407296098", "ranges": [ { "tickLower": -199140, "tickUpper": -197100, "liquidity": "1093427319265" } ], "routePlan": { "routeType": "same_chain", "swapDirection": "oneForZero", "requestedAmount0": "0", "requestedAmount1": "25000000", "totalCapital0": "16719015731379870", "totalCapital1": "48211758", "sameChainCapital0": "16719015731379870", "sameChainCapital1": "48211758", "crossChainCapital0": "0", "crossChainCapital1": "0", "ranges": [ { "tickLower": -199140, "tickUpper": -197100, "liquidity": "1093427319265", "lp": "0x1111111111111111111111111111111111111111", "position": 0 } ], "executorContributions": [], "backingContributions": [ { "lp": "0x1111111111111111111111111111111111111111", "sourceChainId": 8453, "token": "0x4200000000000000000000000000000000000006", "amount": "9972081663927454" } ], "routeLegs": [], "deltaExposures": [], "repaymentObligations": [], "diagnostics": [] } } ] }, "generatedAt": 1792500000, "expiresAt": 1792500010, "stateVersion": "0x6b6dba297dfb88c35474e672da88d687f397cf2233b8f529142720a543403a43"}{ "error": "string", "code": "string", "message": "string", "details": {}}